Page MenuHomePhabricator

Add pre-deployment "canary" for translatewiki.net
Closed, ResolvedPublic

Description

For last sanity check, and in case "manual" debugging is needed, it would be helpful to access the site using the code that is about to be deployed, before it's actually deployed to everyone.

I just did it on the fly using an x symlink, but should explore using different domain, a cookie or a browser header (last one is used by wikimedia debug).

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2020, 3:38 PM

Change 581624 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Implement "canary" support using cookie

https://gerrit.wikimedia.org/r/581624

abi_ triaged this task as Medium priority.Mar 23 2020, 6:54 AM

This is an iteration of the hacky solution I had to implement for debugging. I went for a cookie based solution, since cookies are easier to change in the browser than HTTP headers. Also, this version is transparent in terms of paths, everything looks the same to the browser. This means that everything keeps working because MediaWiki keeps rewriting all links to the canonical version. Also no risk of wrong URL getting cached somewhere.

Possible follow-ups:

  • Have visual indication that canary mode is enabled, and/or
  • Make the cookies expire after a time, so that one is not accidentally leaving the canary option enabled unnecessary.

Change 582787 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[translatewiki@master] Replace "this is not production site" warning with canary warning

https://gerrit.wikimedia.org/r/582787

Possible follow-ups:

  • Have visual indication that canary mode is enabled, and/or
VectorTimeless

Change 581624 merged by jenkins-bot:
[translatewiki@master] Implement "canary" support using cookie

https://gerrit.wikimedia.org/r/581624

Change 582787 merged by jenkins-bot:
[translatewiki@master] Replace "this is not production site" warning with canary warning

https://gerrit.wikimedia.org/r/582787

Nikerabbit moved this task from Backlog to Processes on the translatewiki.net board.

Pending updated documentation.

This is waiting for the documentation to be reviewed. After that this task can be considered done.

abi_ added a subscriber: abi_.

Documentation looks good. Marking this as done.

abi_ closed this task as Resolved.Apr 1 2020, 5:23 AM